Bug 19957 - Allow continued editing after saving a report
Summary: Allow continued editing after saving a report
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-11 18:19 UTC by Nick Clemens
Modified: 2018-04-23 22:47 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19957 - Allow continued editing of report after saving (4.36 KB, patch)
2018-01-11 18:45 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19957 - Hide saved message once editing report (2.55 KB, patch)
2018-01-11 18:58 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19957 - Allow continued editing of report after saving (5.17 KB, patch)
2018-01-17 12:10 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19957 - Allow continued editing of report after saving (4.42 KB, patch)
2018-01-17 12:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19957 - Allow continued editing of report after saving (4.42 KB, patch)
2018-01-19 17:27 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19957 - Allow continued editing of report after saving (4.47 KB, patch)
2018-01-19 18:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19957 - Allow continued editing of report after saving (4.53 KB, patch)
2018-01-19 19:49 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 19957: Allow continued editing of report after saving (4.59 KB, patch)
2018-03-25 15:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-01-11 18:19:09 UTC

    
Comment 1 Nick Clemens 2018-01-11 18:45:40 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2018-01-11 18:58:11 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2018-01-11 19:44:42 UTC
I don't think it's necessary to show all the links from the old confirmation page. They're all in the toolbar or the sidebar.

I would prefer that we instead put a standard "message" type dialog saying "Your report has been saved."
Comment 4 Nick Clemens 2018-01-17 12:10:02 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2018-01-17 12:11:30 UTC
Created attachment 70605 [details] [review]
Bug 19957 - Allow continued editing of report after saving

To test:
 1 - Edit or create a report
 2 - Save it
 3 - Note the report is saved but you can't keep editing
 4 - Clicking 'Edit' returns you to editing
 5 - Apply patch
 6 - Save report
 7 - Note success message remains, but report is still open for editing
 8 - Note when you click the saved/updated message dissappears
 9 - Try again after inserting erros into report (No Select, bad
        authorised value, etc.)
10 - Note errors stil display as expected
11 - Verify message works on update of existing report and save of new
new report
Comment 6 Owen Leonard 2018-01-17 20:02:33 UTC
The message dialog should replace "<div class="alert alert-info">"

...with...

<div class="dialog message">
Comment 7 Nick Clemens 2018-01-19 17:27:56 UTC
Created attachment 70767 [details] [review]
Bug 19957 - Allow continued editing of report after saving

To test:
 1 - Edit or create a report
 2 - Save it
 3 - Note the report is saved but you can't keep editing
 4 - Clicking 'Edit' returns you to editing
 5 - Apply patch
 6 - Save report
 7 - Note success message remains, but report is still open for editing
 8 - Note when you click the saved/updated message dissappears
 9 - Try again after inserting erros into report (No Select, bad
        authorised value, etc.)
10 - Note errors stil display as expected
11 - Verify message works on update of existing report and save of new
new report
Comment 8 Owen Leonard 2018-01-19 18:00:21 UTC
Created attachment 70769 [details] [review]
Bug 19957 - Allow continued editing of report after saving

To test:
 1 - Edit or create a report
 2 - Save it
 3 - Note the report is saved but you can't keep editing
 4 - Clicking 'Edit' returns you to editing
 5 - Apply patch
 6 - Save report
 7 - Note success message remains, but report is still open for editing
 8 - Note when you click the saved/updated message dissappears
 9 - Try again after inserting erros into report (No Select, bad
        authorised value, etc.)
10 - Note errors stil display as expected
11 - Verify message works on update of existing report and save of new
      new report

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 9 Charles Farmer 2018-01-19 19:49:14 UTC
Created attachment 70776 [details] [review]
Bug 19957 - Allow continued editing of report after saving

To test:
 1 - Edit or create a report
 2 - Save it
 3 - Note the report is saved but you can't keep editing
 4 - Clicking 'Edit' returns you to editing
 5 - Apply patch
 6 - Save report
 7 - Note success message remains, but report is still open for editing
 8 - Note when you click the saved/updated message dissappears
 9 - Try again after inserting erros into report (No Select, bad
        authorised value, etc.)
10 - Note errors stil display as expected
11 - Verify message works on update of existing report and save of new
      new report

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>
Comment 10 Charles Farmer 2018-01-19 19:52:22 UTC
Passes qa1.

Works as advertised: I was sent back to editing the form after a modification, and the behaviour of the controller when saving an erroneous SQL is kept as is.
Comment 11 Katrin Fischer 2018-03-25 15:52:19 UTC
At first I was a little irritated, but as the toolbar gives you all the options here, I think the returning to the edit form works for this page.
Comment 12 Katrin Fischer 2018-03-25 15:53:55 UTC
Created attachment 73242 [details] [review]
Bug 19957: Allow continued editing of report after saving

To test:
 1 - Edit or create a report
 2 - Save it
 3 - Note the report is saved but you can't keep editing
 4 - Clicking 'Edit' returns you to editing
 5 - Apply patch
 6 - Save report
 7 - Note success message remains, but report is still open for editing
 8 - Note when you click the saved/updated message dissappears
 9 - Try again after inserting erros into report (No Select, bad
        authorised value, etc.)
10 - Note errors stil display as expected
11 - Verify message works on update of existing report and save of new
      new report

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>



Current patch-complexity: Trivial patch
Comment 13 Jonathan Druart 2018-03-26 20:36:55 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 14 Nick Clemens 2018-04-23 22:47:56 UTC
Enhancement, not backported for stable